Apply Coupon
You can define Coupons in your store as discount codes for users to enter at checkout.
Applies a coupon to a basket.
Path parameters
basketIdentstringRequiredExample:
The basket identifier.
c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2cBody
coupon_codestringOptionalExample:
Academy10Responses
200
Successful response returns a success message.
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
Coupon applied successfullypost/baskets/{basketIdent}/coupons
POST /api/accounts/baskets/{basketIdent}/coupons HTTP/1.1
Host: headless.tebex.io/
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"coupon_code": "Academy10"
}200
Successful response returns a success message.
{
"success": true,
"message": "Coupon applied successfully"
}Last updated